#include <pw/core/vector.hpp>
#include <pw/core/serialize.hpp>
#include <pw/scene/node.hpp>

#include <iostream>

int main(int argc,char **argv) {

    using namespace pw;

    node::ref n(new node("test"));

    // check
    {
        n->add_child(new node("sub"));
    }

    std::cout << "n name: " << n->name() << std::endl;
    std::cout << "n leaf: " << n->is_leaf() << std::endl;
    std::cout << "n root: " << n->is_root() << std::endl;

    std::cout << "s name: " << n->children()[0]->name() << std::endl;
    std::cout << "s leaf: " << n->children()[0]->is_leaf() << std::endl;
    std::cout << "s root: " << n->children()[0]->is_root() << std::endl;



    return 0;
}
